# Deposit products

#### Get all deposit products

## Get all deposit products

<mark style="color:blue;">`GET`</mark> `{base url}/v1/depositProducts?page={page}&perPage={perPage}`

Get all company deposit products

#### Query Parameters

| Name    | Type   | Description              |
| ------- | ------ | ------------------------ |
| page    | number | page to return           |
| perPage | number | number of items per page |

#### Headers

| Name                                            | Type         | Description                                  |
| ----------------------------------------------- | ------------ | -------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | Bearer token | The bearer token is the API users Secret Key |

{% tabs %}
{% tab title="200: OK Deposit products fetched successfully " %}

```json
{
    "data": [
        {
            "id": "ecb256e5-cca7-4102-86ff-fe4ead77fce5",
            "organizationId": "a5f38f16-6c44-408f-b7ff-6775f02b83ac",
            "productName": "for eod",
            "productType": "savings_account",
            "productUserType": [
                "clients",
                "companies"
            ],
            "productCurrency": "NGN",
            "productDescription": "for eod testing",
            "productInterestRate": {
                "daysInAYear": 365,
                "interestPaid": "END_OF_WEEK",
                "interestType": "fixed",
                "applyInterest": true,
                "interestCharged": "%_PER_MONTH",
                "maxInterestRate": 17,
                "minInterestRate": 7,
                "interestRateBase": "END_OF_DAY_BALANCE",
                "applyWithHoldingTax": false,
                "defaultInterestRate": 11
            },
            "productTransactionSettings": {
                "minBalance": 2000,
                "dormantPeriod": 60,
                "allowAccountGoDormant": true
            },
            "productTenure": {},
            "productAccounting": {
                "feeIncome": "0000000152",
                "taxesPayable": "",
                "savingsControl": "0000000165",
                "interestExpense": "1017320405",
                "interestPayable": "0000000165",
                "transactionSource": "0000000181"
            },
            "branch": [
                "all_branches"
            ],
            "isActive": true,
            "status": "active",
            "created_at": "2023-12-10T19:40:56.750Z",
            "updated_at": "2023-12-10T19:46:48.952Z"
        },
        {
            "id": "ad56b4dd-9790-4c4f-9bbf-e32af08650fe",
            "organizationId": "a5f38f16-6c44-408f-b7ff-6775f02b83ac",
            "productName": "a test",
            "productType": "fixed_deposit",
            "productUserType": [
                "companies"
            ],
            "productCurrency": "NGN",
            "productDescription": "testing",
            "productInterestRate": {
                "daysInAYear": 365,
                "interestPaid": "END_OF_WEEK",
                "interestType": "fixed",
                "applyInterest": true,
                "interestCharged": "%_PER_MONTH",
                "maxInterestRate": 16,
                "minInterestRate": 11,
                "interestRateBase": "END_OF_DAY_BALANCE",
                "applyWithHoldingTax": false,
                "defaultInterestRate": 11
            },
            "productTransactionSettings": {
                "minBalance": 5000,
                "dormantPeriod": 0,
                "allowAccountGoDormant": false
            },
            "productTenure": {
                "maxTenure": 11,
                "minTenure": 10
            },
            "productAccounting": {
                "feeIncome": "0000000152",
                "taxesPayable": "",
                "savingsControl": "0000000165",
                "interestExpense": "1017320405",
                "interestPayable": "0000000165",
                "transactionSource": "0000000181"
            },
            "branch": [
                "all_branches"
            ],
            "isActive": true,
            "status": "active",
            "created_at": "2023-10-13T14:17:15.627Z",
            "updated_at": "2023-12-12T01:39:31.281Z"
        },
    ]
}
```

{% endtab %}

{% tab title="403: Forbidden Unauthorised " %}

```
{
    "message": "unauthorized",
    "code": 92
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="sample response" %}

```
{
    "data": [
        {
            "id": "ecb256e5-cca7-4102-86ff-fe4ead77fce5",
            "organizationId": "a5f38f16-6c44-408f-b7ff-6775f02b83ac",
            "productName": "for eod",
            "productType": "savings_account",
            "productUserType": [
                "clients",
                "companies"
            ],
            "productCurrency": "NGN",
            "productDescription": "for eod testing",
            "productInterestRate": {
                "daysInAYear": 365,
                "interestPaid": "END_OF_WEEK",
                "interestType": "fixed",
                "applyInterest": true,
                "interestCharged": "%_PER_MONTH",
                "maxInterestRate": 17,
                "minInterestRate": 7,
                "interestRateBase": "END_OF_DAY_BALANCE",
                "applyWithHoldingTax": false,
                "defaultInterestRate": 11
            },
            "productTransactionSettings": {
                "minBalance": 2000,
                "dormantPeriod": 60,
                "allowAccountGoDormant": true
            },
            "productTenure": {},
            "productAccounting": {
                "feeIncome": "0000000152",
                "taxesPayable": "",
                "savingsControl": "0000000165",
                "interestExpense": "1017320405",
                "interestPayable": "0000000165",
                "transactionSource": "0000000181"
            },
            "branch": [
                "all_branches"
            ],
            "isActive": true,
            "status": "active",
            "created_at": "2023-12-10T19:40:56.750Z",
            "updated_at": "2023-12-10T19:46:48.952Z"
        },
        {
            "id": "ad56b4dd-9790-4c4f-9bbf-e32af08650fe",
            "organizationId": "a5f38f16-6c44-408f-b7ff-6775f02b83ac",
            "productName": "a test",
            "productType": "fixed_deposit",
            "productUserType": [
                "companies"
            ],
            "productCurrency": "NGN",
            "productDescription": "testing",
            "productInterestRate": {
                "daysInAYear": 365,
                "interestPaid": "END_OF_WEEK",
                "interestType": "fixed",
                "applyInterest": true,
                "interestCharged": "%_PER_MONTH",
                "maxInterestRate": 16,
                "minInterestRate": 11,
                "interestRateBase": "END_OF_DAY_BALANCE",
                "applyWithHoldingTax": false,
                "defaultInterestRate": 11
            },
            "productTransactionSettings": {
                "minBalance": 5000,
                "dormantPeriod": 0,
                "allowAccountGoDormant": false
            },
            "productTenure": {
                "maxTenure": 11,
                "minTenure": 10
            },
            "productAccounting": {
                "feeIncome": "0000000152",
                "taxesPayable": "",
                "savingsControl": "0000000165",
                "interestExpense": "1017320405",
                "interestPayable": "0000000165",
                "transactionSource": "0000000181"
            },
            "branch": [
                "all_branches"
            ],
            "isActive": true,
            "status": "active",
            "created_at": "2023-10-13T14:17:15.627Z",
            "updated_at": "2023-12-12T01:39:31.281Z"
        },
    ]
}
```

{% endtab %}
{% endtabs %}

#### Get deposit product details

## Get deposit product details

<mark style="color:blue;">`GET`</mark> `{base url}/v1/depositProducts/_single?productId={productId}`

Get deposit product details

#### Query Parameters

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| productId<mark style="color:red;">\*</mark> | string | product Id  |

#### Headers

| Name                                            | Type         | Description                                  |
| ----------------------------------------------- | ------------ | -------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | Bearer token | The bearer token is the API users Secret Key |

{% tabs %}
{% tab title="200: OK Deposit product fetched successfully " %}

```json
{
    "data": {
        "id": "ecb256e5-cca7-4102-86ff-fe4ead77fce5",
        "organizationId": "a5f38f16-6c44-408f-b7ff-6775f02b83ac",
        "productName": "for eod",
        "productType": "savings_account",
        "productUserType": [
            "clients",
            "companies"
        ],
        "productCurrency": "NGN",
        "productDescription": "for eod testing",
        "productInterestRate": {
            "daysInAYear": 365,
            "interestPaid": "END_OF_WEEK",
            "interestType": "fixed",
            "applyInterest": true,
            "interestCharged": "%_PER_MONTH",
            "maxInterestRate": 17,
            "minInterestRate": 7,
            "interestRateBase": "END_OF_DAY_BALANCE",
            "applyWithHoldingTax": false,
            "defaultInterestRate": 11
        },
        "productTransactionSettings": {
            "minBalance": 2000,
            "dormantPeriod": 60,
            "allowAccountGoDormant": true
        },
        "productTenure": {},
        "productAccounting": {
            "feeIncome": "0000000152",
            "taxesPayable": "",
            "savingsControl": "0000000165",
            "interestExpense": "1017320405",
            "interestPayable": "0000000165",
            "transactionSource": "0000000181"
        },
        "branch": [
            "all_branches"
        ],
        "isActive": true,
        "status": "active",
        "created_at": "2023-12-10T19:40:56.750Z",
        "updated_at": "2023-12-10T19:46:48.952Z",
        "depositProductFees": [
            {
                "id": "4a1005b7-dbf9-46b7-8ade-fc7d8e57e584",
                "depositProductId": "ecb256e5-cca7-4102-86ff-fe4ead77fce5",
                "fees": [
                    {
                        "value": 2,
                        "feeName": "deposit fee",
                        "feeType": "auto_per_all_deposit_transactions",
                        "feePayment": "PERCENTAGE_PRINCIPAL"
                    }
                ],
                "created_at": "2023-12-10T19:40:56.750Z",
                "updated_at": "2023-12-10T19:46:48.952Z"
            }
        ]
    }
}
```

{% endtab %}

{% tab title="403: Forbidden Unauthorised " %}

```
{
    "message": "unauthorized",
    "code": 92
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="sample response" %}

```
{
    "data": {
        "id": "ecb256e5-cca7-4102-86ff-fe4ead77fce5",
        "organizationId": "a5f38f16-6c44-408f-b7ff-6775f02b83ac",
        "productName": "for eod",
        "productType": "savings_account",
        "productUserType": [
            "clients",
            "companies"
        ],
        "productCurrency": "NGN",
        "productDescription": "for eod testing",
        "productInterestRate": {
            "daysInAYear": 365,
            "interestPaid": "END_OF_WEEK",
            "interestType": "fixed",
            "applyInterest": true,
            "interestCharged": "%_PER_MONTH",
            "maxInterestRate": 17,
            "minInterestRate": 7,
            "interestRateBase": "END_OF_DAY_BALANCE",
            "applyWithHoldingTax": false,
            "defaultInterestRate": 11
        },
        "productTransactionSettings": {
            "minBalance": 2000,
            "dormantPeriod": 60,
            "allowAccountGoDormant": true
        },
        "productTenure": {},
        "productAccounting": {
            "feeIncome": "0000000152",
            "taxesPayable": "",
            "savingsControl": "0000000165",
            "interestExpense": "1017320405",
            "interestPayable": "0000000165",
            "transactionSource": "0000000181"
        },
        "branch": [
            "all_branches"
        ],
        "isActive": true,
        "status": "active",
        "created_at": "2023-12-10T19:40:56.750Z",
        "updated_at": "2023-12-10T19:46:48.952Z",
        "depositProductFees": [
            {
                "id": "4a1005b7-dbf9-46b7-8ade-fc7d8e57e584",
                "depositProductId": "ecb256e5-cca7-4102-86ff-fe4ead77fce5",
                "fees": [
                    {
                        "value": 2,
                        "feeName": "deposit fee",
                        "feeType": "auto_per_all_deposit_transactions",
                        "feePayment": "PERCENTAGE_PRINCIPAL"
                    }
                ],
                "created_at": "2023-12-10T19:40:56.750Z",
                "updated_at": "2023-12-10T19:46:48.952Z"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://oobla.gitbook.io/tyche/reference/deposit-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
